List checkout pages

Returns a paginated list of your checkout pages.

GET/v1/checkout-pages/

Authorization

api_key_auth
AuthorizationBearer <token>

API key authentication. Use "Bearer YOUR_API_KEY" format.

In: header

Query Parameters

limit?string

The number of results per page. Minimum value is 1 and maximum is 100. Defaults to 20.

starting_after?string

A cursor value specifying the id of a resource to start before. Retrieves items that appear after this cursor in the list. Cannot be used together with ending_before.

Match^[0-9a-fA-F]{24}$
ending_before?string

A cursor value specifying the id of a resource to end after. Retrieves items that appear before this cursor in the list. Cannot be used together with starting_after.

Match^[0-9a-fA-F]{24}$
status?string

Filter checkout pages by publication status.

Value in"published" | "draft" | "archived"
search?string

Case-insensitive search matched against page name, title, and product title.

testmode?string

Set to true to return only checkout pages in test mode, or false for only checkout pages not in test mode.

Value in"true" | "false"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.checkoutpage.com/v1/checkout-pages/"
{
  "data": [
    {
      "id": "string",
      "sellerId": "string",
      "name": "string",
      "slug": "string",
      "status": "published",
      "testmode": true,
      "testmodeEnabledAt": "2019-08-24T14:15:22Z",
      "images": [
        {
          "fileId": "507f1f77bcf86cd799439011",
          "url": "https://bucket-name.s3.amazonaws.com/image.jpg",
          "name": "product-image.jpg",
          "size": 245678,
          "width": 1920,
          "height": 1080
        }
      ],
      "locale": "string",
      "hostedLayoutType": "double",
      "themeId": "string",
      "themeOverrides": {
        "tokens": {
          "colorPrimary": {
            "light": "string",
            "dark": "string"
          },
          "colorSecondary": {
            "light": "string",
            "dark": "string"
          },
          "textPrimary": {
            "light": "string",
            "dark": "string"
          },
          "textSecondary": {
            "light": "string",
            "dark": "string"
          },
          "textTertiary": {
            "light": "string",
            "dark": "string"
          },
          "colorBackground": {
            "light": "string",
            "dark": "string"
          },
          "colorSurface": {
            "light": "string",
            "dark": "string"
          },
          "colorSurfaceAccent": {
            "light": "string",
            "dark": "string"
          },
          "radius": "none",
          "colors": "light",
          "fontMain": {
            "family": "string"
          },
          "fontHeading": {
            "family": "string",
            "size": "xs",
            "weight": 100
          },
          "fontBody": {
            "family": "string",
            "size": "xs",
            "weight": 100
          }
        },
        "layout": {
          "centerLayout": {
            "backgroundColor": {
              "light": "string",
              "dark": "string"
            },
            "contentBackgroundColor": {
              "light": "string",
              "dark": "string"
            },
            "formBackgroundColor": {
              "light": "string",
              "dark": "string"
            },
            "backgroundImage": {
              "file": "string",
              "url": "string",
              "name": "string",
              "size": 0,
              "width": 0,
              "height": 0
            },
            "backgroundPosition": "center"
          },
          "doubleLayout": {
            "contentBackgroundColor": {
              "light": "string",
              "dark": "string"
            },
            "formBackgroundColor": {
              "light": "string",
              "dark": "string"
            },
            "formPosition": "right",
            "backgroundWidth": "half"
          },
          "splitLayout": {
            "backgroundColor": {
              "light": "string",
              "dark": "string"
            },
            "contentBackgroundColor": {
              "light": "string",
              "dark": "string"
            },
            "formBackgroundColor": {
              "light": "string",
              "dark": "string"
            },
            "backgroundImage": {
              "file": "string",
              "url": "string",
              "name": "string",
              "size": 0,
              "width": 0,
              "height": 0
            },
            "backgroundPosition": "center",
            "mainColumn": "left"
          },
          "shadowColor": {
            "light": "string",
            "dark": "string"
          },
          "shadowWidth": ""
        },
        "elements": {
          "container": {
            "styles": {
              "backgroundColor": {
                "light": "string",
                "dark": "string"
              },
              "color": {
                "light": "string",
                "dark": "string"
              }
            }
          },
          "product": {
            "styles": {
              "backgroundColor": {
                "light": "string",
                "dark": "string"
              },
              "color": {
                "light": "string",
                "dark": "string"
              },
              "textAlign": "left"
            },
            "title": {
              "styles": {
                "color": {
                  "light": "string",
                  "dark": "string"
                },
                "fontFamily": "string",
                "fontStyle": "",
                "fontWeight": 100,
                "fontSize": ""
              },
              "enabled": true
            },
            "pricing": {
              "price": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "interval": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "discountedFromPrice": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "trialPeriod": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "startDate": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "planIterations": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "prorationRenews": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "prorationAmount": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "setupFee": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "badge": {
                "enabled": true,
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": "",
                  "padding": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "enabled": true
            },
            "logo": {
              "hostedPageLogoStyle": "logoBanner",
              "logoBanner": {
                "bannerStyle": "full",
                "styles": {
                  "size": "",
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "logoBubble": {
                "styles": {
                  "size": "",
                  "textAlign": "left",
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              },
              "enabled": true
            },
            "store": {
              "logo": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "textAlign": "left"
                }
              },
              "logoWithStoreName": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              }
            },
            "event": {
              "date": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "enabled": true
              },
              "location": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "enabled": true
              },
              "virtual": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "enabled": true
              }
            },
            "pricePicker": {
              "enabled": true,
              "tabs": {
                "enabled": true,
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": "",
                  "padding": "",
                  "paddingBottom": ""
                },
                "selectedStyles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "name": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                }
              },
              "option": {
                "enabled": true,
                "price": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "interval": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "discountedFromPrice": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "setupFee": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "trialPeriod": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "startDate": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "planIterations": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "prorationRenews": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "prorationAmount": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": "",
                  "padding": "",
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontWeight": 100,
                  "fontStyle": "",
                  "fontSize": ""
                },
                "selectedStyles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "indicator": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "size": "",
                    "borderWidth": "",
                    "borderRadius": 0,
                    "shape": "dot"
                  },
                  "selectedStyles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "badge": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderWidth": "",
                    "borderRadius": "",
                    "padding": "",
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "pwywInput": {
                  "styles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderWidth": "",
                    "borderRadius": "",
                    "paddingX": "",
                    "paddingY": "",
                    "boxShadow": "",
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "focusStyles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "placeholderStyles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "pwywLabel": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "paddingBottom": "",
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "focusStyles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "pwywSuffix": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "label": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "description": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                }
              },
              "position": "content",
              "groupBy": "auto",
              "groupingMode": "horizontal",
              "layout": "list",
              "horizontalAlign": "left",
              "verticalAlign": "top",
              "pwywDisplay": "inline",
              "title": {
                "enabled": true,
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": "",
                  "paddingBottom": ""
                }
              },
              "description": {
                "enabled": true,
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "styles": {
                "gap": ""
              }
            }
          },
          "description": {
            "styles": {
              "backgroundColor": {
                "light": "string",
                "dark": "string"
              }
            },
            "headings": {
              "styles": {
                "color": {
                  "light": "string",
                  "dark": "string"
                }
              }
            },
            "body": {
              "styles": {
                "color": {
                  "light": "string",
                  "dark": "string"
                }
              }
            },
            "links": {
              "styles": {
                "color": {
                  "light": "string",
                  "dark": "string"
                }
              }
            },
            "quotes": {
              "styles": {
                "color": {
                  "light": "string",
                  "dark": "string"
                }
              }
            },
            "bullets": {
              "styles": {
                "color": {
                  "light": "string",
                  "dark": "string"
                },
                "fontSize": ""
              },
              "align": "top",
              "type": "dot"
            },
            "collapsibles": {
              "title": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              },
              "body": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              },
              "icon": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "type": "chevron"
              },
              "border": {
                "enabled": true,
                "styles": {
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": ""
                }
              }
            }
          },
          "checkout": {
            "styles": {
              "backgroundColor": {
                "light": "string",
                "dark": "string"
              },
              "color": {
                "light": "string",
                "dark": "string"
              },
              "borderColor": {
                "light": "string",
                "dark": "string"
              },
              "borderWidth": "",
              "borderRadius": "",
              "padding": ""
            },
            "divider": {
              "styles": {
                "borderColor": {
                  "light": "string",
                  "dark": "string"
                }
              },
              "enabled": true
            },
            "form": {
              "styles": {
                "backgroundColor": {
                  "light": "string",
                  "dark": "string"
                },
                "color": {
                  "light": "string",
                  "dark": "string"
                }
              },
              "fields": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "field": {
                  "styles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "label": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "paddingBottom": "",
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "focusStyles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "input": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderWidth": "",
                    "borderRadius": "",
                    "paddingX": "",
                    "paddingY": "",
                    "boxShadowColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "boxShadow": "",
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "focusStyles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderRadius": 0
                  },
                  "placeholder": {
                    "enabled": true
                  },
                  "placeholderStyles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "description": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "paddingTop": "",
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "enabled": true
                }
              },
              "paymentDetails": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "button": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": "",
                  "padding": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "hoverStyles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "priceOnButton": {
                  "enabled": true
                }
              },
              "discountCode": {
                "link": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "applyButton": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "code": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "discount": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                }
              },
              "manualPayments": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": "",
                  "padding": ""
                },
                "selectedStyles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": 0
                },
                "name": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "enabled": true
                },
                "description": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "enabled": true
                },
                "instructions": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "enabled": true
                }
              },
              "priceBreakdown": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": "",
                  "alignment": ""
                },
                "subtotal": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "orderBump": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "ticket": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "ticketFee": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "setupFee": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "bulkDiscount": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "couponDiscount": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "fees": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "tax": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "startDate": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "trial": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "dueNow": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "proration": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "enabled": true
                },
                "total": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "enabled": true
                },
                "enabled": true
              },
              "orPayWithCard": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "enabled": true
              },
              "securePayments": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "enabled": true
              },
              "pwyw": {
                "enabled": true,
                "minPrice": {
                  "enabled": true
                }
              },
              "stripeCardElement": {
                "input": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                }
              }
            },
            "cards": {
              "styles": {
                "backgroundColor": {
                  "light": "string",
                  "dark": "string"
                },
                "borderColor": {
                  "light": "string",
                  "dark": "string"
                },
                "borderWidth": "",
                "borderRadius": ""
              },
              "selectedStyles": {
                "backgroundColor": {
                  "light": "string",
                  "dark": "string"
                },
                "borderColor": {
                  "light": "string",
                  "dark": "string"
                }
              },
              "detail": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              },
              "name": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "description": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "price": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "discountedFromPrice": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "groupName": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "paddingBottom": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "badge": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": "",
                  "padding": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              }
            },
            "variants": {
              "position": "form",
              "variantOptions": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": ""
                },
                "selectedStyles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "name": {
                  "styles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "description": {
                  "styles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "price": {
                  "styles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "discountedFromPrice": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "planIterations": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "plusSign": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "pwywInput": {
                  "styles": {
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderWidth": "",
                    "borderRadius": "",
                    "paddingX": "",
                    "paddingY": "",
                    "boxShadow": "",
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  },
                  "focusStyles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "backgroundColor": {
                      "light": "string",
                      "dark": "string"
                    },
                    "borderColor": {
                      "light": "string",
                      "dark": "string"
                    }
                  },
                  "placeholderStyles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    }
                  }
                },
                "pwywSuffix": {
                  "enabled": true,
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                }
              },
              "name": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "paddingBottom": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              }
            },
            "ticketGroups": {
              "position": "form",
              "ticketTypes": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": ""
                },
                "selectedStyles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "name": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "description": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "price": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "discountedFromPrice": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "fee": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "remaining": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "saleDate": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                },
                "total": {
                  "styles": {
                    "color": {
                      "light": "string",
                      "dark": "string"
                    },
                    "fontFamily": "string",
                    "fontStyle": "",
                    "fontWeight": 100,
                    "fontSize": ""
                  }
                }
              },
              "name": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "paddingBottom": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "description": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              }
            },
            "statusBadges": {
              "styles": {
                "fontFamily": "string",
                "fontStyle": "",
                "fontWeight": 100,
                "fontSize": ""
              },
              "soldOutColor": {
                "light": "string",
                "dark": "string"
              },
              "soldOutBackgroundColor": {
                "light": "string",
                "dark": "string"
              },
              "canceledColor": {
                "light": "string",
                "dark": "string"
              },
              "canceledBackgroundColor": {
                "light": "string",
                "dark": "string"
              },
              "unavailableColor": {
                "light": "string",
                "dark": "string"
              },
              "unavailableBackgroundColor": {
                "light": "string",
                "dark": "string"
              },
              "onSaleSoonColor": {
                "light": "string",
                "dark": "string"
              },
              "onSaleSoonBackgroundColor": {
                "light": "string",
                "dark": "string"
              },
              "notOnSaleColor": {
                "light": "string",
                "dark": "string"
              },
              "notOnSaleBackgroundColor": {
                "light": "string",
                "dark": "string"
              }
            },
            "confirmation": {
              "mark": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "size": ""
                }
              },
              "heading": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              },
              "text": {
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              }
            },
            "pwyw": {
              "label": {
                "enabled": true,
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "paddingBottom": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "focusStyles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              },
              "input": {
                "styles": {
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderWidth": "",
                  "borderRadius": "",
                  "paddingX": "",
                  "paddingY": "",
                  "boxShadow": "",
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                },
                "focusStyles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "backgroundColor": {
                    "light": "string",
                    "dark": "string"
                  },
                  "borderColor": {
                    "light": "string",
                    "dark": "string"
                  }
                },
                "placeholderStyles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  }
                }
              },
              "suffix": {
                "enabled": true,
                "styles": {
                  "color": {
                    "light": "string",
                    "dark": "string"
                  },
                  "fontFamily": "string",
                  "fontStyle": "",
                  "fontWeight": 100,
                  "fontSize": ""
                }
              },
              "position": "content-top"
            }
          },
          "poweredByStripe": {
            "styles": {
              "badgeStyle": "auto"
            },
            "enabled": true
          },
          "poweredByCheckoutPage": {
            "enabled": true
          }
        },
        "customCss": "string",
        "labels": {
          "soldByText": "string",
          "intervalCountText": "string",
          "dayText": "string",
          "weekText": "string",
          "monthText": "string",
          "yearText": "string",
          "recurringText": "string",
          "trialDaysFreeText": "string",
          "trialThenText": "string",
          "setupFeeText": "string",
          "cartSetupFeeText": "string",
          "startsOnText": "string",
          "renewsOnText": "string",
          "todayText": "string",
          "proratedAmountText": "string",
          "endsAfterText": "string",
          "endsAfterPaymentsText": "string",
          "variantOptionTotalText": "string",
          "ticketsRemainingText": "string",
          "ticketTypeTotalText": "string",
          "bookingFeeText": "string",
          "ticketFeeIncludesText": "string",
          "canceledText": "string",
          "canceledButtonText": "string",
          "unavailableText": "string",
          "onSaleSoonText": "string",
          "notOnSaleText": "string",
          "startDateText": "string",
          "endDateText": "string",
          "endedAtDateText": "string",
          "virtualEventText": "string",
          "hybridEventText": "string",
          "soldOutText": "string",
          "soldOutButtonText": "string",
          "paymentDetailsText": "string",
          "formDetailsText": "string",
          "customerInformationText": "string",
          "emailSuggestionText": "string",
          "addDiscountCodeText": "string",
          "discountCodeText": "string",
          "discountCodePlaceholderText": "string",
          "discountCodeApplyText": "string",
          "payWhatYouWantText": "string",
          "payWhatYouWantPlaceholderText": "string",
          "pwywMinPricePlaceholderText": "string",
          "pwywSuggestedPricePlaceholderText": "string",
          "ticketPwywMinPricePlaceholderText": "string",
          "ticketPwywSuggestedPricePlaceholderText": "string",
          "ticketPwywEnterAmountPlaceholderText": "string",
          "pwywEnterAmountText": "string",
          "orPayWithCardText": "string",
          "cardLabelText": "string",
          "variantIsRequiredText": "string",
          "cartSubtotalText": "string",
          "orderBumpsTitleText": "string",
          "orderBumpCallToActionText": "string",
          "orderBumpShowMoreText": "string",
          "orderBumpShowLessText": "string",
          "showMoreText": "string",
          "showLessText": "string",
          "cartBulkDiscountText": "string",
          "cartCouponDiscountText": "string",
          "cartTaxText": "string",
          "cartTaxIncludedText": "string",
          "cartTotalOnStartDateText": "string",
          "cartTotalAfterTrialText": "string",
          "cartDueNowText": "string",
          "cartTotalDueText": "string",
          "cartTotalDueProratedAmountText": "string",
          "payButtonText": "string",
          "subscribeButtonText": "string",
          "submitButtonText": "string",
          "getTicketsButtonText": "string",
          "securePaymentsText": "string",
          "scanToOpenText": "string",
          "scanToPayText": "string",
          "upsellNoThanksText": "string",
          "processingPaymentText": "string",
          "viewPaymentHistoryText": "string",
          "viewSubmissionHistoryText": "string",
          "viewDownloadsText": "string",
          "ticketsPurchasedText": "string",
          "addToCalendarText": "string"
        }
      },
      "fields": [
        {
          "id": "507f1f77bcf86cd799439011",
          "label": "Company Name",
          "description": "We will use this on your invoice.",
          "placeholder": "Enter your company name",
          "element": "text",
          "type": "company-name",
          "options": [
            {
              "id": "string",
              "label": "Label",
              "value": "value"
            }
          ],
          "layout": "dropdown",
          "required": true,
          "order": 0,
          "reference": "custom_field_1",
          "hidden": false,
          "defaultValue": {
            "enabled": true,
            "value": "string",
            "values": [
              "string"
            ]
          },
          "showHideLogic": {
            "enabled": true,
            "comparison": "is",
            "value": "string",
            "element": {
              "elementTitle": "string",
              "elementType": "field",
              "elementId": "string"
            }
          },
          "minValue": {
            "enabled": true,
            "value": "string"
          },
          "maxValue": {
            "enabled": true,
            "value": "string"
          },
          "limitAllowedCountries": {
            "enabled": true,
            "countries": [
              "string"
            ]
          },
          "showSelectedDialCode": true,
          "collect": "billing",
          "collectShippingPhone": false,
          "limitShippingCountries": {
            "enabled": true,
            "countries": [
              "string"
            ]
          },
          "limitBillingCountries": {
            "enabled": true,
            "countries": [
              "string"
            ]
          },
          "defaultCountry": "US",
          "createdAt": "2024-01-15T10:30:00.000Z",
          "updatedAt": "2024-01-15T10:30:00.000Z"
        }
      ],
      "url": "string",
      "customizeCheckoutConfirmation": true,
      "closePopupOnClickOutside": true,
      "funnelSteps": [
        {
          "type": "upsell",
          "order": 1,
          "enabled": true,
          "config": {
            "action": "checkout",
            "pageId": "507f1f77bcf86cd799439012"
          }
        },
        {
          "type": "confirmation",
          "order": 2,
          "enabled": true,
          "config": {
            "action": "confirmation",
            "customizeCheckoutConfirmation": true,
            "confirmationCheckoutTitle": "Order confirmed",
            "confirmationCheckoutMessage": "<p>Thanks for your purchase.</p>"
          }
        }
      ],
      "visitCount": 0,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "redirect": {
        "enabled": true,
        "url": "string"
      },
      "afterPaymentAction": "confirmation",
      "redirectPageId": "65f4a1c2e4a9f3d2b1c0a9e8",
      "redirectUrl": "string",
      "redirectUrlPath": [
        {
          "key": "string",
          "identifier": "string"
        }
      ],
      "redirectUrlQuery": [
        {
          "parameter": "string",
          "key": "string",
          "identifier": "string"
        }
      ],
      "redirectUrlInsideEmbed": true,
      "confirmationCheckoutTitle": "string",
      "confirmationCheckoutMessage": "string",
      "sendPaymentNotification": true,
      "notifyEmail": "string",
      "sendEmailConfirmation": true,
      "customizeEmailConfirmation": true,
      "confirmationEmailSubject": "string",
      "confirmationEmailMessage": "string",
      "confirmationEmailShowLogo": true,
      "confirmationEmailShowStoreName": true,
      "googleIndex": true,
      "trackingCodes": "string",
      "type": "checkout",
      "showCouponCodeField": true,
      "showCouponCodeFieldType": "link",
      "allowDynamicPrice": true,
      "allowDynamicDiscountedFromPrice": true,
      "allowDynamicTitle": true,
      "allowDynamicDescription": true,
      "allowDynamicLabel": true,
      "allowDynamicPreselectedPrice": true,
      "allowDynamicPlanIterations": true,
      "allowDynamicRedirectUrl": true,
      "savePaymentMethod": true,
      "checkoutAbandonment": {
        "disableEmails": true,
        "showStoreLogo": true,
        "showStoreName": true,
        "emailReminders": {
          "property1": {
            "customizeEmail": true,
            "subject": "Complete your purchase",
            "body": "<p>You left something behind!</p>",
            "buttonText": "Complete order"
          },
          "property2": {
            "customizeEmail": true,
            "subject": "Complete your purchase",
            "body": "<p>You left something behind!</p>",
            "buttonText": "Complete order"
          }
        }
      },
      "enableFileAccessForInactiveSubscriptions": true,
      "limitSubscriptions": {
        "enabled": true
      },
      "limitSubscriptionsStripe": {
        "enabled": true
      },
      "sendCanceledSubscriptionNotifications": true,
      "sendRecurringPaymentFailedNotifications": true,
      "sendRecurringPaymentSucceededNotifications": true,
      "tax": {
        "enabled": true,
        "mode": "none"
      },
      "paymentMethods": {
        "stripe": {
          "card": {
            "enabled": true
          },
          "agpay": {
            "enabled": true,
            "mode": "default"
          },
          "multiple": {
            "enabled": false
          }
        }
      },
      "paymentOptions": [
        {
          "type": "manual",
          "enabled": true,
          "name": "Pay in full",
          "description": "string",
          "instructions": "Bank details will be sent via email after checkout.",
          "partialAmount": 0,
          "showPaymentButton": true,
          "manualType": "invoice"
        }
      ],
      "fees": [
        {
          "name": "Processing fee",
          "amount": 50,
          "percentage": 0,
          "multiplyByQuantity": true,
          "multiplyByTickets": true,
          "applyToSpecificPaymentMethods": false,
          "paymentMethods": [
            "acss_debit"
          ]
        }
      ],
      "invoiceSettings": {
        "bankDetails": "Account: 12345678, Sort code: 00-00-00",
        "additionalInformation": {
          "enabled": true,
          "title": "Payment terms",
          "message": "Payment is due within 30 days of invoice date."
        },
        "dueDays": {
          "enabled": true,
          "days": 30
        }
      },
      "product": {
        "id": "507f1f77bcf86cd799439011",
        "type": "charge",
        "title": "Premium Course",
        "description": "string",
        "shortDescription": "string",
        "callToActionText": "string",
        "headingText": "string",
        "features": [
          {
            "text": "string",
            "icon": "star"
          }
        ],
        "calloutText": "string",
        "calloutIcon": "star",
        "role": "product",
        "sku": "string",
        "price": {
          "amount": 4900,
          "currency": "usd",
          "payWhatYouWant": true,
          "discountedFromPrice": 0,
          "setupFee": 0,
          "setupFeeMultipliesWithQuantity": true,
          "recurring": {
            "interval": "month",
            "intervalCount": 1,
            "trialPeriodDays": 0,
            "billingCycleAnchorConfig": {
              "enabled": true,
              "dayOfMonth": 1,
              "month": 1
            },
            "startDate": "2026-02-25T06:40:09.463Z"
          },
          "paymentPlan": {
            "interval": "month",
            "intervalCount": 1,
            "trialPeriodDays": 0,
            "billingCycleAnchorConfig": {
              "enabled": true,
              "dayOfMonth": 1,
              "month": 1
            },
            "startDate": "2026-02-25T06:40:09.463Z",
            "planIterations": 0
          },
          "pricingType": "single"
        },
        "prices": [
          {
            "amount": 4900,
            "currency": "usd",
            "payWhatYouWant": true,
            "discountedFromPrice": 0,
            "setupFee": 0,
            "setupFeeMultipliesWithQuantity": true,
            "recurring": {
              "interval": "month",
              "intervalCount": 1,
              "trialPeriodDays": 0,
              "billingCycleAnchorConfig": {
                "enabled": true,
                "dayOfMonth": 1,
                "month": 1
              },
              "startDate": "2026-02-25T06:40:09.463Z"
            },
            "paymentPlan": {
              "interval": "month",
              "intervalCount": 1,
              "trialPeriodDays": 0,
              "billingCycleAnchorConfig": {
                "enabled": true,
                "dayOfMonth": 1,
                "month": 1
              },
              "startDate": "2026-02-25T06:40:09.463Z",
              "planIterations": 0
            },
            "id": "507f1f77bcf86cd799439011",
            "label": "string",
            "badge": "string",
            "badgeIcon": "star",
            "reference": "string",
            "order": 0,
            "enabled": true,
            "hidden": true,
            "isDefault": true,
            "billingType": "one_time",
            "pwywSuggestedPrice": 0
          }
        ],
        "defaultPriceId": "string",
        "pricePicker": {
          "title": "string",
          "description": "string",
          "shortenDescription": true,
          "priceDisplayLabels": {
            "property1": {
              "property1": "string",
              "property2": "string"
            },
            "property2": {
              "property1": "string",
              "property2": "string"
            }
          },
          "priceDisplayDefaults": {
            "property1": "string",
            "property2": "string"
          },
          "priceDisplayTabOrder": {
            "property1": [
              "string"
            ],
            "property2": [
              "string"
            ]
          }
        },
        "taxBehavior": "exclusive",
        "taxCode": "string",
        "fixedTaxRateIds": [
          "string"
        ],
        "media": [
          {
            "fileId": "507f1f77bcf86cd799439011",
            "url": "https://bucket-name.s3.amazonaws.com/image.jpg",
            "name": "product-image.jpg",
            "size": 245678,
            "width": 1920,
            "height": 1080
          }
        ],
        "fileIds": [
          "507f1f77bcf86cd799439011"
        ],
        "variants": [
          {
            "id": "507f1f77bcf86cd799439011",
            "name": "Plan Type",
            "required": true,
            "status": "enabled",
            "options": [
              {
                "id": "507f1f77bcf86cd799439011",
                "name": "Basic",
                "status": "enabled",
                "description": "string",
                "image": {
                  "fileId": "507f1f77bcf86cd799439011",
                  "url": "https://cdn.example.com/image.png",
                  "name": "product-image.png",
                  "width": 0,
                  "height": 0,
                  "size": 0
                },
                "additionalChargeAmount": 1000,
                "sku": "string",
                "stock": 0,
                "type": "one_time",
                "payWhatYouWant": false,
                "pwywSuggestedPrice": 2500,
                "fileIds": [
                  "string"
                ]
              }
            ],
            "order": 0,
            "reference": "fd3136f8-da1f-4a4c-b381-32a097b60c38",
            "selectionType": "single",
            "increasesWithQuantity": true,
            "useVariantOptionSkus": true,
            "manageVariantOptionStock": true,
            "priceIds": [
              "string"
            ],
            "hidden": true,
            "preselect": {
              "enabled": true,
              "optionId": "pro-option",
              "quantity": 1
            },
            "showHideLogic": {
              "enabled": true,
              "comparison": "is",
              "value": "pro-option",
              "element": {
                "elementId": "select-package-tier"
              }
            },
            "layout": {
              "variantOptionLayout": "list",
              "collapseVariantOptions": false,
              "variantOptionColumns": 2,
              "showVariantName": true,
              "showVariantOptionNames": true,
              "showVariantOptionPrices": true,
              "showVariantOptionPriceSign": true,
              "showPwywPlaceholder": true,
              "textAlign": "left",
              "spacing": "comfortable",
              "imageSize": "small"
            }
          }
        ],
        "discounts": [
          {
            "quantityCondition": "checkout_quantity",
            "variantOptionIds": [
              "507f1f77bcf86cd799439011"
            ],
            "minQuantity": 5,
            "maxQuantity": 10,
            "percentOff": 10,
            "amountOff": 500
          }
        ],
        "generateLicenseKeys": true,
        "limitSubscriptions": {
          "enabled": true,
          "limitSubscriptionsStripe": {
            "enabled": true
          }
        },
        "limitPayments": {
          "enabled": true,
          "enabledAt": "string"
        },
        "enableFileAccessForInactiveSubscriptions": true,
        "variantsRequired": true,
        "stock": 0,
        "hasUnlimitedStock": true,
        "createdAt": "2024-01-15T10:30:00.000Z",
        "updatedAt": "2024-01-15T10:30:00.000Z"
      }
    }
  ],
  "total": 0,
  "has_more": true
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}